summaryrefslogtreecommitdiffstats
path: root/package/dhcp/S80dhcp-server
diff options
context:
space:
mode:
Diffstat (limited to 'package/dhcp/S80dhcp-server')
-rwxr-xr-xpackage/dhcp/S80dhcp-server48
1 files changed, 48 insertions, 0 deletions
diff --git a/package/dhcp/S80dhcp-server b/package/dhcp/S80dhcp-server
new file mode 100755
index 000000000..7c7f893a1
--- /dev/null
+++ b/package/dhcp/S80dhcp-server
@@ -0,0 +1,48 @@
+#!/bin/sh
+#
+# $Id: dhcp3-server.init.d,v 1.4 2003/07/13 19:12:41 mdz Exp $
+#
+
+
+
+# On what interfaces should the DHCP server (dhcpd) serve DHCP requests?
+# Separate multiple interfaces with spaces, e.g. "eth0 eth1".
+INTERFACES=""
+
+
+# It is not safe to start if we don't have a default configuration...
+echo "/etc/init.d/dhcp-server not yet configured! - Aborting..."
+exit 1;
+
+
+
+test -f /usr/sbin/dhcpd || exit 0
+
+
+case "$1" in
+ start)
+ echo -n "Starting DHCP server: "
+ test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
+ test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
+ start-stop-daemon -S -x /usr/sbin/dhcpd -- -q $INTERFACES
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping DHCP server: dhcpd3"
+ start-stop-daemon -K -x /usr/sbin/dhcpd
+ echo "."
+ ;;
+ restart | force-reload)
+ $0 stop
+ sleep 2
+ $0 start
+ if [ "$?" != "0" ]; then
+ exit 1
+ fi
+ ;;
+ *)
+ echo "Usage: /etc/init.d/dhcp-server {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0